export function readCsvFile(file) {
    return new Promise(function (resolve) {
        var fileReader = new FileReader();
        fileReader.readAsText(file);
        fileReader.onloadend = function () {
            var chunk = fileReader.result;
            var lines = chunk.split('\n');
            var headers = lines[0].split(',');
            var values = lines.slice(1, lines.length - 1);
            var result = [];
            for (var i = 0; i < values.length; i++) {
                var item = {};
                for (var j = 0; j < headers.length; j++) {
                    item[headers[j]] = values[i].split(',')[j];
                }
                result.push(item);
            }
            resolve(result);
        };
    });
}
//# sourceMappingURL=csv.js.map